LB_BACKEND-HEALTH(1)

NAME
lb_backend-health -

DESCRIPTION

The health status of the specified backend server as reported by the primary and standby load balancers.

AVAILABLE COMMANDS

•   get

  get

  Description

Gets the current health status of the specified backend server.

  Usage

oci lb backend-health get [OPTIONS]

  Required Parameters

--backend-name [text]

    The IP address and port of the backend server to retrieve the health status for.

    Example:

    10.0.0.3:8080

--backend-set-name [text]

    The name of the backend set associated with the backend server to retrieve the health status for.

    Example:

    example_backend_set

--load-balancer-id [text]

    The OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm> of the load balancer associated with the backend server health status to be retrieved.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle